annotations
Create annotations annotations
Requires scopes: eval:write
POST
/
api
/
annotations
Create annotations annotations
curl --request POST \
--url https://evalgate.com/api/annotations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"evaluationRunId": 123,
"testCaseId": 123,
"labels": {
"tags": [
"<string>"
],
"taxonomyVersion": "<string>",
"assertionLabels": [
{
"verdict": "rejected",
"assertionKey": "safety",
"severity": "low",
"evidence": [
"input"
],
"notes": "<string>"
}
],
"failureModes": [
"<string>"
],
"calibrationLabel": "standard"
},
"feedback": "<string>",
"rating": 123,
"metadata": {
"annotatorExperience": "<string>",
"timeSpentMs": 123,
"labelTaxonomyVersion": "<string>",
"reviewerConfidence": 123,
"adjudicationStatus": "resolved",
"evidenceSummary": [
"input"
]
},
"taskId": 123
}
'import requests
url = "https://evalgate.com/api/annotations"
payload = {
"evaluationRunId": 123,
"testCaseId": 123,
"labels": {
"tags": ["<string>"],
"taxonomyVersion": "<string>",
"assertionLabels": [
{
"verdict": "rejected",
"assertionKey": "safety",
"severity": "low",
"evidence": ["input"],
"notes": "<string>"
}
],
"failureModes": ["<string>"],
"calibrationLabel": "standard"
},
"feedback": "<string>",
"rating": 123,
"metadata": {
"annotatorExperience": "<string>",
"timeSpentMs": 123,
"labelTaxonomyVersion": "<string>",
"reviewerConfidence": 123,
"adjudicationStatus": "resolved",
"evidenceSummary": ["input"]
},
"taskId": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
evaluationRunId: 123,
testCaseId: 123,
labels: {
tags: ['<string>'],
taxonomyVersion: '<string>',
assertionLabels: [
{
verdict: 'rejected',
assertionKey: 'safety',
severity: 'low',
evidence: ['input'],
notes: '<string>'
}
],
failureModes: ['<string>'],
calibrationLabel: 'standard'
},
feedback: '<string>',
rating: 123,
metadata: {
annotatorExperience: '<string>',
timeSpentMs: 123,
labelTaxonomyVersion: '<string>',
reviewerConfidence: 123,
adjudicationStatus: 'resolved',
evidenceSummary: ['input']
},
taskId: 123
})
};
fetch('https://evalgate.com/api/annotations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"annotation": {
"labels": {
"assertionLabels": [
{
"assertionKey": "safety",
"verdict": "rejected",
"evidence": [
"input"
],
"severity": "low",
"notes": "<string>"
}
],
"taxonomyVersion": "<string>",
"calibrationLabel": "standard",
"failureModes": [
"<string>"
],
"tags": [
"<string>"
],
"legacyLabels": {}
},
"feedback": "<string>",
"rating": 123,
"id": 123,
"createdAt": "2023-11-07T05:31:56Z",
"metadata": {
"annotatorExperience": "<string>",
"timeSpentMs": 123,
"labelTaxonomyVersion": "<string>",
"reviewerConfidence": 123,
"adjudicationStatus": "resolved",
"evidenceSummary": [
"input"
]
},
"evaluationRunId": 123,
"testCaseId": 123,
"annotatorId": "<string>"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful response
Show child attributes
Show child attributes
⌘I
Create annotations annotations
